<h1 class="page-header" style="margin-top: 0"><i class="rs rs-gpio"></i> <?php _('GPIO Pins') ?></h1>
<div ng-if="serverSettings.ServerOS !== 2">
<div class="alert alert-info">
<?php _('This function is only available for linux.') ?>
</div>
</div>
<div ng-if="serverSettings.ServerOS === 2">
<div ng-if="!edit">
<div class="alert alert-info">
<p><?php _('With these settings you can use your computers GPIO pins as input or output to control things like filament sensors, door sensors or lights directly. Wrong usage of GPIO pins can destroy hardware so use only if you know what you do! Use on own risk.') ?></p>
</div>
<table class="table table-striped table-bordered2 vmiddle">
<thead>
<tr>
<th><?php _('Name') ?></th>
<th><?php _('Function') ?></th>
<th class="text-center"><?php _('GPIO Pin') ?></th>
<th class="text-center"><?php _('State') ?></th>
<th style="width: 105px;"></th>
</tr>
</thead>
<tbody dnd-list="gpio" dnd-type="tr" style="cursor:move">
<tr class="dndPlaceholder" style="height:44px">
<td colspan="5">&nbsp;</td>
</tr>
<tr ng-repeat="wc in gpio" dnd-draggable="wc" dnd-moved="gpio.splice($index, 1)" dnd-effect-allowed="move" dnd-dragend="onDragEnd(event)">
<td>{{wc.name}}</td>
<td>{{operations[wc.operation].name}}</td>
<td class="text-center">{{wc.pinNumber}}</td>
<td class="text-center">
<span ng-if="wc.error" class="text-danger">{{wc.error}}</span>
<span ng-if="!wc.error && wc.operation<4"><rs-icon icon="fa {{wc.operation===4 ? 'fa-tachometer' : (wc.state ? 'fa-toggle-on' : 'fa-toggle-off')}}" icon-img="wc.state ? wc.icon : wc.iconOff"></rs-icon>
{{wc.state | onoff}}
</span>
<span ng-if="!wc.error && wc.operation===4">
<rs-icon icon="fa {{wc.operation===4 ? 'fa-tachometer' : (wc.state ? 'fa-toggle-on' : 'fa-toggle-off')}}" icon-img="wc.state ? wc.icon : wc.iconOff"></rs-icon>
<span ng-if="wc.state">{{wc.pwmDutyCycle | number:2}}</span><span ng-if="!wc.state"><?php _('Off') ?></span>
</span>
</td>
<td class="nowrap">
<div class="btn btn-primary btn-xs margin-right margin-left" style="font-size:18px" ng-click="editCall(wc)" title="<?php _('Edit') ?>">
<i class="fa fa-edit"></i></div>
<div class="btn btn-xs text-danger margin-left" style="font-size:18px" ng-click="remove(wc)" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o rs-bigger"></i></div>
</td>
</tr>
</tbody>
</table>
<div class="clearfix">
</div>
<div class="well margin-top">
<ng-form name="formCreate">
<label class="margin-top"><?php _('Function') ?></label>
<select class="form-control primary-select" ng-model="createData.operation" ng-options="g.id as g.name for g in operations"></select>
<label class="margin-top"><?php _('Name') ?></label>
<input type="text" class="form-control" ng-model="createData.name" required>
</ng-form>
<button ng-disabled="!createData.name" class="btn btn-primary margin-top" ng-click="addGPIO()">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Create GPIO Operation') ?>
</button>
</div>
</div>
</div>
<div ng-if="edit">
<div class="well">
<ng-form name="formEdit">
<h2>{{operations[edit.operation].name}} ({{edit.name}})</h2>
<label class="margin-top"><?php _('Description') ?></label>
<textarea class="form-control" ng-model="edit.description" style="height:80px"></textarea>
<div ng-if="edit.operation >= 3">
<label class="margin-top"><?php _('Display Name') ?></label>
<input type="text" class="form-control" ng-model="edit.display" required><br>
<label class="margin-top"><?php _('Icon On (optional)') ?></label>
<rs-icon-editor ng-model="edit.icon" default-icon="{{edit.operation===4 ? 'fa fa-tachometer' : 'fa fa-toggle-on'}}"></rs-icon-editor>
<label class="margin-top"><?php _('Icon Off (optional)') ?></label>
<rs-icon-editor ng-model="edit.iconOff" default-icon="{{edit.operation===4 ? 'fa fa-tachometer' : 'fa fa-toggle-off'}}"></rs-icon-editor>
<label class="margin-top"><?php _('Printer Association') ?></label>
<select class="form-control primary-select" ng-model="edit.slug" ng-options="g.s as g.n for g in slugList"></select>
<div class="margin-top">
<label>
<input type="checkbox" class="" ng-model="edit.showInMenu">
<?php _('Show in Menu') ?></label>
</div>
<div class="margin-top" ng-if="edit.operation===3">
<label>
<input type="checkbox" class="" ng-model="edit.securityQuestion">
<?php _('Show Security Question') ?></label>
</div>
</div>
<div ng-if="edit.operation===3">
<label class="margin-top"><?php _('G-Code to trigger:') ?></label>
<pre class="select-text">;@gpio "{{edit.name}}" on|off|toggle</pre>
<br>
</div>
<div ng-if="edit.operation===4">
<label class="margin-top"><?php _('G-Code to trigger:') ?></label>
<pre class="select-text">;@gpio "{{edit.name}}" off|pwm value</pre>
<br>
</div>
<div ng-if="edit.operation !== 4">
<label class="margin-top"><?php _('GPIO Pin') ?></label>
<input type="number" class="form-control" ng-model="edit.pinNumber" placeholder="<?php _('GPIO Pin') ?>" min="-1">
</div>
<div ng-if="edit.operation === 4">
<label class="margin-top"><?php _('PWM Channel') ?></label>
<input type="number" class="form-control" ng-model="edit.pinNumber" placeholder="<?php _('PWM Channel') ?>" min="-1">
<label class="margin-top"><?php _('PWM Chip') ?></label>
<input type="number" class="form-control" ng-model="edit.chip" placeholder="<?php _('PWM Chip') ?>" min="-1">
</div>
<div ng-if="edit.operation < 3">
<div ng-if="edit.operation == 0">
<label class="margin-top"><?php _('Printer Association') ?></label>
<select class="form-control primary-select" ng-model="edit.slug" ng-options="g.s as g.n for g in slugList2"></select>
</div>
<label class="margin-top"><?php _('Edge') ?></label>
<select class="form-control primary-select" ng-model="edit.edge" ng-options="g.id as g.name for g in edge"></select>
<label class="margin-top"><?php _('Debounce time') ?></label>
<div class="input-group">
<input type="number" class="form-control" ng-model="edit.debounceMS" min="0">
<span class="input-group-addon" id="basic-addon2">ms</span>
</div>
<div ng-if="edit.operation === 0">
<label class="margin-top"><?php _('G-Code') ?></label>
<div style="display: flex; flex-direction: column; height: 120px;">
<rs-gcode-editor ng-model="edit.parameter" style="width:100%; overflow-y: auto; height: 100%;"></rs-gcode-editor>
</div>
<br>
<?php _('Insert $state in the g-code if you need the current input state!') ?>
</div>
<div ng-if="edit.operation === 1">
<label class="margin-top"><?php _('External Command') ?></label>
<select class="form-control primary-select" ng-model="edit.parameter" ng-options="g.name as g.name for g in externalCommands"></select>
</div>
<div ng-if="edit.operation === 2">
<label class="margin-top"><?php _('Web Action') ?></label>
<select class="form-control primary-select" ng-model="edit.parameter" ng-options="g.name as g.show_name for g in webCalls"></select>
</div>
</div>
<div ng-if="edit.operation >= 3">
<div class="margin-top">
<label>
<input type="checkbox" class="" ng-model="edit.initEnabled">
<?php _('Activate on init') ?></label>
</div>
<div class="margin-top">
<label>
<input type="checkbox" class="" ng-model="edit.pwmPolarity">
<?php _('Invert polarity') ?></label>
</div>
</div>
<div ng-if="edit.operation === 4">
<label class="margin-top"><?php _('Frequency') ?></label>
<div class="input-group">
<input type="number" class="form-control" ng-model="edit.pwmFrequency" min="0.1">
<span class="input-group-addon" id="basic-addon2">Hz</span>
</div>
<label class="margin-top"><?php _('Duty cycle on init') ?></label>
<div class="input-group">
<input type="number" class="form-control" ng-model="edit.pwmInitDutyCycle" min="0" max="100">
<span class="input-group-addon" id="basic-addon2">%</span>
</div>
<div class="margin-top">
<label>
<input type="checkbox" class="" ng-model="edit.pwmPolarity">
<?php _('Invert polarity') ?></label>
</div>
</div>
<div class="clearfix">
<div class="pull-right margin-top">
<div class="btn btn-primary" ng-click="save()" ng-disabled="testSave()">
<span><i class="fa fa-save rs-bigtab"></i> <?php _('Save GPIO Action') ?></span>
</div>
<div class="btn btn-default margin-left" ng-click="cancel()"><i class="fa fa-times"></i> Cancel</div>
</div>
</div>
</ng-form>
</div>
</div>
