<h1 class="page-header" style="margin-top: 0">
<i class="fa fa-wifi"></i> <?php _('Network/Time') ?>
</h1>
<div ng-if="wifi.getManageable()">
<div ng-if="wifi.getRegion()==='00' && !wifi.manualWifi()" class="margin-top margin-bottom">
<div class="alert alert-warning margin-top">
<?php _('You need to select the correct region first to ensure the wifi adapter uses the correct frequencies for your country!') ?>
</div>
</div>
<div class="alert alert-info margin-top">
<div ng-if="wifi.routerListResponse.mode==0">
<?php _('No WLAN adapter installed') ?>
</div>
<div ng-if="wifi.routerListResponse.mode==1">
<?php _('Connected') ?>: {{wifi.routerListResponse.activeSSID}}
</div>
<div ng-if="wifi.routerListResponse.mode==2">
<?php _('Access Point') ?>: {{wifi.routerListResponse.apSSID}}
</div>
<div ng-if="wifi.routerListResponse.mode==3">
<?php _('Unconnected') ?>
</div>
<div ng-if="wifi.manualWifi()">
<?php _('The WIFI handling is manually configured and can not be changed here!') ?>
</div>
</div>
<uib-tabset active="wlanstate.active" class="margin-top">
<uib-tab index="0" ng-if="!wifi.manualWifi()">
<uib-tab-heading>
<?php _('Available WLAN Router') ?> &nbsp;
<i class="fa fa-refresh" style="cursor:pointer" ng-click="refresh()"></i>
</uib-tab-heading>
<div class="list-group">
<a href="javascript:void(0)" ng-repeat="r in wifi.getRouterList() track by $index" ng-show="!wlanstate.hideIgnored || !r.data.ignore" class="list-group-item" ng-class="{'active':r.active}" ng-click="editConnection(r)">
<div class="pull-right">
<div class="fa-stack" style="font-size:30px">
<i class="rs rs-bars-4 fa-stack-1x icon-level-off"></i>
<i class="rs rs-bars-{{r.bars}} fa-stack-1x icon-level-on"></i>
</div>
</div>
<h4><i class="fa" ng-class="{'fa-check-square-o':r.active,'fa-square-o':!r.active}"></i> {{r.SSID}}</h4>
<p style="margin-left: 20px;">
<i ng-if="r.secure" class="fa fa-lock"></i><i ng-if="!r.secure" class="fa fa-unlock"></i>
{{r.rate}} <?php _('Channel') ?>: {{r.channel}}</p>
</a>
</div>
<div class="form-group">
<label class="col-md-4 control-label" for="checkboxes"></label>
<div class="col-md-8">
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="wlanstate.hideIgnored"></boolswitch>
&nbsp;<?php _('Hide ignored Access Points') ?>
</div>
</div>
</div>
</uib-tab>
<uib-tab index="2" ng-show="edit">
<uib-tab-heading>
{{edit.SSID}}
</uib-tab-heading>
<div ng-if="edit.data.manualManaged" class="margin-top">
<div class="alert alert-info margin-top">
<?php _('This connection is explicitly defined in /boot/repetier-network.xml and can for that reason not be modified here. Please edit the file manually instead and restart the server.') ?>
</div>
<div class="btn btn-success" ng-click="connect(edit)" ng-disabled="!canConnect()"><?php _('Connect') ?></div>
</div>
<form class="form-horizontal margin-top" ng-if="!edit.data.manualManaged">
<div class="form-group">
<label class="col-md-4 control-label"><?php _('Authentication Method') ?> {{edit.data.passwordMethod}}</label>
<div class="col-md-8">
<select class="form-control" ng-model="edit.data.passwordMethod" ng-options="item.v as item.n for item in passwordMethods"></select>
</div>
</div>
<div class="form-group">
<label class="col-md-4 control-label"><?php _('Password') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.password" type="password" placeholder="<?php _('Enter Password') ?>" class="form-control input-md">
</div>
</div>
<div class="form-group">
<label class="col-md-4 control-label" for="checkboxes"></label>
<div class="col-md-8">
<div class="checkbox">
<boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="edit.data.ignore"></boolswitch>
&nbsp;<?php _('Hide in Access Point List') ?>
</div>
</div>
</div>
<p><?php _('Normally your controller uses DHCP to retrieve all required data. Below you can add an additional static IP or nameserver or define the gateway.') ?></p>
<uib-accordion close-others="false">
<div uib-accordion-group class="panel-default" heading="<?php _('IP V4 Settings') ?>">
<div class="form-group" ng-class="{'has-error':err_wifi_ipv4Address, 'has-success': !err_wifi_ipv4Address && edit.data.ipv4Address && wifiValidated}">
<label class="col-md-4 control-label"><?php _('Additional Address') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.ipv4Address" type="text" placeholder="192.168.1.200" class="form-control input-md">
<span ng-if="err_wifi_ipv4Address" class="help-block">{{err_wifi_ipv4Address}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_wifi_ipv4Nameserver, 'has-success': !err_wifi_ipv4Nameserver && edit.data.ipv4Nameserver && wifiValidated}">
<label class="col-md-4 control-label"><?php _('Additional Nameserver') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.ipv4Nameserver" type="text" placeholder="8.8.8.8" class="form-control input-md">
<span ng-if="err_wifi_ipv4Nameserver" class="help-block">{{err_wifi_ipv4Nameserver}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_wifi_ipv4Gateway, 'has-success': !err_wifi_ipv4Gateway && edit.data.ipv4Gateway && wifiValidated}">
<label class="col-md-4 control-label"><?php _('Gateway') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.ipv4Gateway" type="text" placeholder="192.168.1.1" class="form-control input-md">
<span ng-if="err_wifi_ipv4Gateway" class="help-block">{{err_wifi_ipv4Gateway}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_wifi_ipv4MaskBits, 'has-success': !err_wifi_ipv4Nameserver && edit.data.ipv4MaskBits && wifiValidated}">
<label class="col-md-4 control-label"><?php _('Network Mask Bits') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.ipv4MaskBits" type="text" placeholder="24" class="form-control input-md">
<span ng-if="err_wifi_ipv4MaskBits" class="help-block">{{err_wifi_ipv4MaskBits}}</span>
</div>
</div>
</div>
<div uib-accordion-group class="panel-default" heading="<?php _('IP V6 Settings') ?>">
<div class="form-group" ng-class="{'has-error':err_wifi_ipv6Address, 'has-success': !err_wifi_ipv6Address && edit.data.ipv6Address && wifiValidated}">
<label class="col-md-4 control-label"><?php _('Additional Address') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.ipv6Address" type="text" placeholder="fe80::dea6:32ff:fe16:987" class="form-control input-md">
<span ng-if="err_wifi_ipv6Address" class="help-block">{{err_wifi_ipv6Address}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_wifi_ipv6Nameserver, 'has-success': !err_wifi_ipv6Nameserver && edit.data.ipv6Nameserver && wifiValidated}">
<label class="col-md-4 control-label"><?php _('Additional Nameserver') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.ipv6Nameserver" type="text" placeholder="2001:4860:4860::8888" class="form-control input-md">
<span ng-if="err_wifi_ipv6Nameserver" class="help-block">{{err_wifi_ipv6Nameserver}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_wifi_ipv6Gateway, 'has-success': !err_wifi_ipv6Gateway && edit.data.ipv6Gateway && wifiValidated}">
<label class="col-md-4 control-label"><?php _('Gateway') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.ipv6Gateway" type="text" placeholder="fe80::3a64:edfa:fe2d:32c4" class="form-control input-md">
<span ng-if="err_wifi_ipv6Gateway" class="help-block">{{err_wifi_ipv6Gateway}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_wifi_ipv6MaskBits, 'has-success': !err_wifi_ipv6MaskBits && edit.data.ipv6MaskBits && wifiValidated}">
<label class="col-md-4 control-label"><?php _('Network Mask Bits') ?></label>
<div class="col-md-8">
<input ng-model="edit.data.ipv6MaskBits" type="text" placeholder="64" class="form-control input-md">
<span ng-if="err_wifi_ipv6MaskBits" class="help-block">{{err_wifi_ipv6MaskBits}}</span>
</div>
</div>
</div>
</uib-accordion>
<div class="btn btn-danger" ng-click="disconnect()" ng-if="edit.data.active"><?php _('Deactivate until explicit connection') ?></div>
<div class="btn btn-primary" ng-click="updateConnection()"><?php _('Save') ?></div>
<div class="btn btn-success" ng-click="connect(edit)" ng-disabled="!canConnect()"><?php _('Connect') ?></div>
</form>
</uib-tab>
<uib-tab index="1" heading="<?php _('Connection Settings') ?>" select="disableEdit()">
<div class="list-group">
<a href="javascript:void(0)" class="list-group-item" ng-click="editHostname()">
<h4 class="list-group-item-heading">Hostname</h4>
<p class="list-group-item-text">{{wifi.getHostname()}}</p>
</a>
<a href="javascript:void(0)" class="list-group-item" ng-if="wifi.getSupportAP() && !wifi.manualWifi()" ng-click="editSSID()">
<h4 class="list-group-item-heading"><?php _('SSID if in AP Mode') ?></h4>
<p class="list-group-item-text">{{wifi.getAPSSID()}}</p>
</a>
<a href="javascript:void(0)" class="list-group-item" ng-if="wifi.getSupportAP() && !wifi.manualWifi()" ng-click="editAPPassword()">
<h4 class="list-group-item-heading"><?php _('Password') ?></h4>
<p>******</p>
</a>
<a href="javascript:void(0)" class="list-group-item" ng-if="wifi.getSupportAP() && !wifi.manualWifi()" ng-click="editChannel()">
<h4 class="list-group-item-heading"><?php _('Channel if in AP Mode') ?></h4>
<p class="list-group-item-text">{{wifi.getAPChannel()}}</p>
</a>
<a href="javascript:void(0)" ng-if="!wifi.manualWifi()" class="list-group-item" ng-click="editRegion() && !wifi.manualWifi()">
<h4 class="list-group-item-heading"><?php _('Region') ?></h4>
<p class="list-group-item-text">{{wifi.getRegion()}}</p>
</a>
<a href="javascript:void(0)" class="list-group-item" ng-if="wifi.getSupportAP() && !wifi.manualWifi()" ng-click="editMode()">
<h4 class="list-group-item-heading"><?php _('AP Handling') ?></h4>
<p class="list-group-item-text">{{wifi.apModeList[wifi.getAPMode()].n}}</p>
</a>
</div>
</uib-tab>
<uib-tab index="3" ng-if="wifi.eth()">
<uib-tab-heading>
<?php _('Wired Connection') ?> &nbsp;
</uib-tab-heading>
<div class="alert alert-info margin-top">
<?php _('For most users the default setting of automatic should be good. It will then fetch the IP, DNS and gateway from the DHCP server in your network. However, if you need manual settings, these can be set here. Be aware that if you are connected over wired network, the changes may cause the connection to drop due to new IP or get impossible if you use illegal settings for your network.') ?>
</div>
<form class="form-horizontal">
<h3><?php _('IP V4 Settings') ?></h3>
<div class="checkbox">
<label><input type="radio" ng-model="wifi.eth().ipv4_method" value="auto"> <?php _('Automatic') ?></label>
</div>
<div class="checkbox">
<label><input type="radio" ng-model="wifi.eth().ipv4_method" value="manual"> <?php _('Manual Settings') ?></label>
</div>
<div style="margin-left:45px;margin-right:15px">
<div class="form-group" ng-class="{'has-error':err_eth_ipv4_addresses, 'has-success': !err_eth_ipv4_addresses && eth.ipv4_addresses && ethValidated}">
<label class="col-md-4 control-label"><?php _('Address/Mask') ?></label>
<div class="col-md-8">
<input ng-model="wifi.eth().ipv4_addresses" type="text" class="form-control" placeholder="192.168.1.200/24">
<span ng-if="err_eth_ipv4_addresses" class="help-block">{{err_eth_ipv4_addresses}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_eth_ipv4_dns, 'has-success': !err_eth_ipv4_dns && eth.ipv4_dns && ethValidated}">
<label class="col-md-4 control-label"><?php _('Nameserver') ?></label>
<div class="col-md-8">
<input ng-model="wifi.eth().ipv4_dns" type="text" class="form-control input-md" placeholder="8.8.8.8">
<span ng-if="err_eth_ipv4_dns" class="help-block">{{err_eth_ipv4_dns}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_eth_ipv4_gateway, 'has-success': !err_eth_ipv4_gateway && eth.ipv4_gateway && ethValidated}">
<label class="col-md-4 control-label"><?php _('Gateway') ?></label>
<div class="col-md-8">
<input ng-model="wifi.eth().ipv4_gateway" type="text" class="form-control input-md" placeholder="192.168.1.1">
<span ng-if="err_eth_ipv4_gateway" class="help-block">{{err_eth_ipv4_gateway}}</span>
</div>
</div>
</div>
<h3><?php _('IP V6 Settings') ?></h3>
<div class="checkbox">
<label><input type="radio" ng-model="wifi.eth().ipv6_method" value="auto"> <?php _('Automatic') ?></label>
</div>
<div class="checkbox">
<label><input type="radio" ng-model="wifi.eth().ipv6_method" value="manual"> <?php _('Manual Settings') ?></label>
</div>
<div style="margin-left:30px;">
<div class="form-group" ng-class="{'has-error':err_eth_ipv6_addresses, 'has-success': !err_eth_ipv6_addresses && eth.ipv6_addresses && ethValidated}">
<label class="col-md-4 control-label"><?php _('Address/Mask') ?></label>
<div class="col-md-8">
<input ng-model="wifi.eth().ipv6_addresses" type="text" placeholder="fe80::dea6:32ff:fe16:987/64" class="form-control input-md">
<span ng-if="err_eth_ipv6_addresses" class="help-block">{{err_eth_ipv6_addresses}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_eth_ipv6_dns, 'has-success': !err_eth_ipv6_dns && eth.ipv6_dns && ethValidated}">
<label class="col-md-4 control-label"><?php _('Nameserver') ?></label>
<div class="col-md-8">
<input ng-model="wifi.eth().ipv6_dns" type="text" class="form-control input-md" placeholder="2001:4860:4860::8888">
<span ng-if="err_eth_ipv6_dns" class="help-block">{{err_eth_ipv6_dns}}</span>
</div>
</div>
<div class="form-group" ng-class="{'has-error':err_eth_ipv6_gateway, 'has-success': !err_eth_ipv6_gateway && eth.ipv6_gateway && ethValidated}">
<label class="col-md-4 control-label"><?php _('Gateway') ?></label>
<div class="col-md-8">
<input ng-model="wifi.eth().ipv6_gateway" type="text" placeholder="fe80::3a64:edfa:fe2d:32c4" class="form-control input-md">
<span ng-if="err_eth_ipv6_gateway" class="help-block">{{err_eth_ipv6_gateway}}</span>
</div>
</div>
</div>
<div class="margin-top">
<div class="btn btn-primary" ng-click="setEth()"><?php _('Save') ?></div>
</div>
</form>
</uib-tab>
<uib-tab index="4">
<uib-tab-heading>
<?php _('Time') ?> &nbsp;
</uib-tab-heading>
<div ng-if="tzMode===0">
<p class="margin-top"><?php _('Set the time zone so times reported form the server use the prefered time zone instead of UTC time.') ?></p>
<div class="list-group margin-top">
<a href="javascript:void(0)" class="list-group-item" ng-click="editTimezone()">
<h4 class="list-group-item-heading">Current Time Zone</h4>
<p class="list-group-item-text">{{wifi.routerListResponse.timezone}}</p>
</a>
</div>
<div class="margin-top">
<h3><?php _('Set Date and Time') ?></h3>
<div class="form-group">
<label class="col-md-4 control-label"><?php _('New Date and Time') ?></label>
<div class="col-md-8">
<input ng-model="$parent.settime.datetime" type="text" class="form-control input-md">
<small>MM/DD/YYYY hh:mm:ss</small><br><br>
<?php _('Changing the time on a computer with running network time daemon will only have a very short effect!') ?>
</div>
</div>
<button type="button" class="btn btn-primary margin-top" style="width:100%" ng-click="setDateTime()"><?php _('Set new Date and Time') ?></button>
</div>
</div>
<div ng-if="tzMode===1">
<h3><?php _('Time Zone Region') ?></h3>
<div class="list-group margin-top">
<a href="javascript:void(0)" class="list-group-item" ng-click="selectRegion(r)" ng-repeat="r in tzList1 track by $index">
<h4 class="list-group-item-heading">{{r}}</h4>
</a>
</div>
</div>
<div ng-if="tzMode===2">
<h3><?php _('Select Time Zone') ?></h3>
<div class="list-group margin-top">
<a href="javascript:void(0)" class="list-group-item" ng-click="setTimezone(r)" ng-repeat="r in tzList2 track by $index" track by $index>
<h4 class="list-group-item-heading">{{r}}</h4>
</a>
</div>
</div>
</uib-tab>
</uib-tabset>
<div uib-alert type="info"><?php _('Switching routers may break the connection since old ip number may get invalid!') ?></div>
</div>
<div ng-if="wifi.routerListResponse && !wifi.getManageable()">
<div uib-alert type="info"><?php _('This installation does not support wifi configuration!') ?></div>
</div>
