<div class="tab-pane active units" id="general">
<div class="row">
<div class="col-lg-12 panel-body">
<ng-form name="formGeneral">
<uib-accordion class="">
<div uib-accordion-group style="padding: 0px" class="margin-top panel panel-default" is-open="active.local.generalExpanded">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-list-ul rs-fw"></i><?php _('General') ?>
<i class="glyphicon pull-right" ng-class="{'glyphicon-chevron-down': active.local.generalExpanded, 'glyphicon-chevron-right': !active.local.generalExpanded}"></i>
</div>
</uib-accordion-heading>
<div class="panel-body">
<div class="row">
<div class="col-sm-9 form-group">
<label for="confname"><?php _('Printer Name') ?></label>
<input id="confname" class="form-control" type="text" placeholder="Displayed Printer Name" ng-model="editor.general.name" required>
</div>
<div class="col-sm-3 form-group">
<label><?php _('Printer Variant') ?></label>
<select class="form-control" ng-model="editor.general.printerVariant">
<option value="delta"><?php _('Delta Printer') ?></option>
<option value="cartesian"><?php _('Cartesian Printer') ?></option>
</select>
</div>
<div class="col-sm-6 form-group">
<label for="confname"><?php _('Printer Manufacturer') ?></label>
<input id="confname" class="form-control" type="text" placeholder="<?php _('Name of the printer manufacturer') ?>" ng-model="editor.general.manufacturer" popover-trigger="'focus'" uib-popover="<?php _('Depending on the model name special functions for this printer may appear.') ?>" data-original-title>
</div>
<div class="col-sm-6 form-group">
<label for="confname"><?php _('Printer Model') ?></label>
<input id="confname" class="form-control" type="text" placeholder="<?php _('Vendor specific model name') ?>" ng-model="editor.general.model" popover-trigger="'focus'" uib-popover="<?php _('Depending on the model name special functions for this printer may appear.') ?>" data-original-title>
</div>
<div class="col-sm-6 form-group">
<label for="confname"><?php _('Printer Homepage') ?></label>
<input id="confname" class="form-control" type="text" placeholder="<?php _('Printer Homepage') ?>" ng-model="editor.general.printerHomepage" popover-trigger="'focus'" uib-popover="<?php _('Appears in printer context menu if set.') ?>" data-original-title>
</div>
<div class="col-sm-6 form-group">
<label for="confname"><?php _('Printer Manual') ?></label>
<input id="confname" class="form-control" type="text" placeholder="<?php _('Printer Manual') ?>" ng-model="editor.general.printerManual" popover-trigger="'focus'" uib-popover="<?php _('Appears in printer context menu if set.') ?>" data-original-title>
</div>
<div class="col-sm-12 form-group">
<label><?php _('Firmware') ?></label>
<select class="form-control" ng-model="editor.general.firmwareName" ng-options="f.name as f.displayName for f in firmware.firmwareInfo">
</select>
</div>
</div>
<div class="row">
<div class="col-sm-12">
<div class="checkbox">
<label><input type="checkbox" ng-model="editor.connection.compressCommunication"> <?php _('Compress communication if supported') ?> (Experimental)
</label>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-12">
<div class="checkbox">
<label><input type="checkbox" ng-model="editor.general.logHistory"> <?php _('Log all Prints in a History Database') ?>
</label>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-12">
<div class="checkbox">
<label><input type="checkbox" ng-model="editor.general.useOwnModelRepository"> <?php _('Use own G-Code Model Directory') ?>
</label>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-12">
<div class="checkbox">
<label><input type="checkbox" ng-model="editor.general.enableQueue"> <?php _('Enable Print Queue') ?>
</label>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-12">
<div class="checkbox">
<label><input ng-disabled="!editor.general.enableQueue" type="checkbox" ng-model="editor.general.deleteJobAfterManualStop"> <?php _('Delete print job after manual abort') ?>
</label>
</div>
</div>
</div>
<div class="row">
<div class="form-group col-sm-12" ng-hide="editor.general.useOwnModelRepository">
<label class="control-label"><?php _('Use G-Code files from') ?></label>
<select ng-model="editor.general.useModelFromSlug" class="form-control" ng-options="p.slug as p.name for p in printerList"></select>
</div>
<div class="form-group col-sm-12">
<label class="control-label"><?php _('Pause Handling') ?></label>
<select ng-model="editor.general.pauseHandling" class="form-control" ng-options="p.id as p.t for p in pauseModes"></select>
</div>
<div class="col-xs-11 col-xs-offset-1 form-group" ng-show="editor.general.pauseHandling">
<label><?php _('Disable Heaters when Paused after') ?>
</label>
<div class="input-group">
<input class="form-control" type="number" placeholder="" ng-model="editor.general.pauseSeconds" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('To protect the extruder, you can disable the extruder when print is paused. They will be reheated before the print continues.') ?>" data-original-title required min="0">
<div class="input-group-addon"><?php _('seconds') ?></div>
</div>
</div>
<div class="col-sm-12 col-md-6 form-group">
<label><?php _('Idle power off time') ?>
</label>
<div class="input-group">
<input class="form-control" type="number" placeholder="" ng-model="editor.connection.powerOffIdleMinutes" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Run the shutdown printer script after this number of minutes being idle. Set 0 to not run it.') ?>" data-original-title required min="0">
<div class="input-group-addon"><?php _('minutes') ?></div>
</div>
</div>
<div class="col-sm-12 col-md-6 form-group">
<label><?php _('Idle max extruder temperature') ?>
</label>
<div class="input-group">
<input class="form-control" type="number" placeholder="" ng-model="editor.connection.powerOffMaxTemperature" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Maximum extruder temperature allowing to run the shutdown printer script.') ?>" data-original-title required>
<div class="input-group-addon">°C</div>
</div>
</div>
<div class="col-sm-12 form-group">
<label><?php _('Door handling') ?></label>
<select class="form-control" ng-model="editor.general.doorHandling" ng-options="f.i as f.n for f in doorModes">
</select>
</div>
</div>
</div>
</div>
</uib-accordion>
<uib-accordion class="">
<div uib-accordion-group style="padding: 0px" class="panel panel-default" is-open="active.local.connectionExpanded">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-power-off rs-fw"></i><?php _('Connection') ?>
<i class="glyphicon pull-right" ng-class="{'glyphicon-chevron-down': active.local.connectionExpanded, 'glyphicon-chevron-right': !active.local.connectionExpanded}"></i>
</div>
</uib-accordion-heading>
<div class="panel-body">
<div class="row">
<div class="col-sm-12 form-group">
<label><?php _('Connection Method') ?></label>
<select class="form-control" ng-model="editor.connection.connectionMethod" ng-options="f.i as f.n for f in conMethods">
</select>
</div>
</div>
<div class="row" ng-if="editor.connection.connectionMethod === 0">
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Device / Port') ?></label>
<div class="input-group">
<input class="form-control" type="text" placeholder="" ng-model="editor.connection.serial.device" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('For windows systems, this is the port COMx. On unix this is the path to the serial device like /dev/tty.USB0') ?>" popover-trigger="'focus'">
<span class="input-group-btn">
<div class="btn-group" rs-dropdown dropdown-append-to-body is-open="menuPort">
<button type="button" class="btn btn-default" rs-dropdown-toggle>
<?php _('Ports') ?> <span class="caret"></span>
</button>
<ul rs-dropdown-menu role="menu" style="max-height:200px;overflow:auto">
<li ng-repeat="p in config.ports track by $index">
<a href="javascript:void(0)" ng-click="editor.connection.serial.device=p;$parent.menuPort=false">{{p}}</a></li>
</ul>
</div>
</span>
</div>
<div ng-if="portWarning" class="alert alert-warning margin-top">
<?php _('Printers using same port:') ?>
<div ng-bind-html="portWarning"></div>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group">
<label><?php _('Baud Rate') ?>
<autoset name="baudrate" ng-model="editor.connection.serial.baudrate">
</autoset></label>
<select class="form-control" ng-model="editor.connection.serial.baudrate" ng-options="b for b in baudrates"></select>
</div>
<div class="col-lg-2 col-sm-6 col-xs-12 form-group">
<label><?php _('RTS') ?></label>
<select class="form-control" ng-model="editor.connection.serial.rts" ng-options="f.i as f.n for f in resetOrder">
</select>
</div>
<div class="col-lg-2 col-sm-6 col-xs-12 form-group">
<label><?php _('DTR') ?></label>
<select class="form-control" ng-model="editor.connection.serial.dtr" ng-options="f.i as f.n for f in resetOrder">
</select>
</div>
<div class="col-lg-12 col-xs-12">
<small><?php _('RTS/DTR are serial pins that normally are used to reset the printer or are ignored. If a printer interprets them differently you can select a setting that works.') ?></small>
</div>
<div class="col-xs-12 form-group checkbox" ng-if="serverSettings.ServerOS==2">
<label><input type="checkbox" ng-model="editor.connection.serial.malyanHack"> <?php _('Use fix for Malyan boards') ?>
</label>
</div>
</div>
<div class="row" ng-if="editor.connection.connectionMethod === 0">
<div class="col-sm-12">
<div class="checkbox">
<label><input type="checkbox" ng-model="editor.connection.serial.visibleWithoutRunning"> <?php _('Port is visible even if firmware is not running') ?>
</label>
</div>
</div>
</div>
<div class="row" ng-if="editor.connection.connectionMethod === 1 || editor.connection.connectionMethod === 3">
<div class="col-lg-12 col-xs-12 form-group">
<label><?php _('File') ?></label>
<input class="form-control" type="text" placeholder="<?php _('Path to pipe/socket') ?>" ng-model="editor.connection.pipe.file">
</div>
</div>
<div class="row" ng-if="editor.connection.connectionMethod === 2">
<div class="col-lg-6 col-sm-6 col-xs-12 form-group">
<label><?php _('IP') ?></label>
<input class="form-control" type="text" placeholder="<?php _('IP or domain name') ?>" ng-model="editor.connection.ip.address" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('IP or domain name. No HTTP or similar!') ?>">
</div>
<div class="col-lg-6 col-sm-6 col-xs-12 form-group">
<label><?php _('Port') ?></label>
<input class="form-control" type="number" placeholder="<?php _('Port') ?>" ng-model="editor.connection.ip.port" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Smoothieware uses 23. Legal values are from 1-65535') ?>">
</div>
<div class="col-lg-6 col-sm-6 col-xs-12 form-group">
<label><?php _('Keep Alive duration') ?></label>
<input class="form-control" type="number" placeholder="<?php _('Keep Alive duration') ?>" ng-model="editor.connection.ip.keepAliveInterval" popover-placement="auto bottom" popover-trigger="'focus'" min="20" uib-popover="<?php _('Seconds after which a keep alive test is send. Allows detection of suddenly interrupted network connections. Minimum value is 20s.') ?>">
</div>
<div class="col-lg-6 col-sm-6 col-xs-12 form-group">
<label><?php _('Password') ?></label>
<input class="form-control" type="text" placeholder="<?php _('Password') ?>" ng-model="editor.connection.password" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('RepRapFirmware allows setting a password for TCP/IP connections.') ?>">
</div>
</div>
<div class="row">
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" style="height:60px">
<label><?php _('Ping-Pong Mode') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.connection.serial.pingPong"></boolswitch>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" style="height:60px">
<label><?php _('Continue print after fast reconnect') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.connection.continueAfterFastReconnect"></boolswitch>
</div>
</div>
</div>
<div class="row">
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" style="height:60px">
<label><?php _('Input Buffer Size') ?>
<autoset name="InputBuffer" ng-model="editor.connection.serial.inputBufferSize">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" placeholder="" ng-model="editor.connection.serial.inputBufferSize" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Size of bytes the incoming queue of your printer can store. Typical values are 127 and 63 byte.') ?>" data-original-title required min="63">
<div class="input-group-addon"><?php _('byte') ?></div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" ng-if="!editor.connection.serial.pingPong">
<label><?php _('Max. Parallel Commands') ?></label>
<select class="form-control" ng-model="editor.connection.serial.maxParallelCommands" ng-options="f.i as f.n for f in maxParallelCommands">
</select>
</div>
<div class="col-lg-4 col-xs-12 form-group" style="height:60px" ng-if="serverSettings.ServerOS===2">
<label><?php _('USB Reconnect on Timeout') ?></label>
<select class="form-control" ng-model="editor.connection.serial.usbreset" ng-options="m.id as m.t for m in usbReconnectModes">
</select>
</div>
<div class="col-sm-12" ng-if="!editor.connection.serial.pingPong">
<div class="checkbox">
<label popover-placement="auto bottom" popover-trigger="'mouseenter'" uib-popover="<?php _('With parallel commands a missing ack from printer can block communication until a timeout happens. This option adds a quick detection for cases with at maximum 2 missed ack and corrects it on the fly before slow commands. Without this it will need a timeout and reduce performance until timeout.') ?>" data-original-title>
<input type="checkbox" ng-model="editor.connection.ackFixMissingBeforeSlowCommands"> <?php _('Fix missing ack before slow commands.') ?>
</label>
</div>
<div class="checkbox">
<label popover-placement="auto bottom" popover-trigger="'mouseenter'" uib-popover="<?php _('If timeouts only happen from missed ok, this will improve communication in case of timeouts and only trigger one timeout. If you use timeouts to detect a hanging usb driver you should not use this option.') ?>" data-original-title>
<input type="checkbox" ng-model="editor.connection.ackFixExceedingOnTimeout"> <?php _('Fix exceeding ack on timeouts.') ?>
</label>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group" style="height:60px">
<label><?php _('Communication Timeout') ?>
<autoset name="KeepAliveInterval" nfactor="0.001" ng-model="editor.connection.serial.communicationTimeout">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" placeholder="" ng-model="editor.connection.serial.communicationTimeout" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Time after which normal commands must be acknowledged.') ?>" data-original-title popover-trigger="'focus'" required min="1">
<div class="input-group-addon"><?php _('s') ?></div>
</div>
</div>
<div class="col-md-6 col-xs-12 form-group" style="height:60px">
<label><?php _('Emergency Solution') ?></label>
<select class="form-control" ng-model="editor.connection.serial.emergencySolution" ng-options="m.id as m.t for m in emergencySolutions">
</select>
</div>
<div class="col-md-6 col-xs-12 form-group" style="height:60px">
<label><?php _('Show on Printer LCD Status Line') ?></label>
<select class="form-control" ng-model="editor.connection.lcdTimeMode" ng-options="m.id as m.t for m in lcdModes">
</select>
</div>
<div class="col-xs-12" ng-show="active.state.condition===1">
<p><?php _('Once your connection data is correct, save configuration to connect printer. Then you can use the button below to autodetect quite some values. Autodetected values get a marker for you to recognice them.') ?></p>
<i class="fa margin-left fa-dot-circle-o fg-success"></i> <?php _('Value matches firmware value ') ?>
<br>
<i class="fa margin-left fa-circle-o fg-danger"></i> <?php _('Value does not match firmware value') ?>
<br>
<div class="margin-top">
<button ng-click="RSPrinter.updateFirmwareSettings()" class="btn btn-primary" ng-disabled="!active.status.online || readingFirmware">
<i ng-show="RSPrinter.readingFirmware" class="fa fa-spinner fa-spin"></i> <?php _('Autodetect Values from Firmware') ?>
<span ng-show="!active.status.online">... <?php _('Waiting for Connection') ?></span>
</button>
</div>
</div>
<div class="col-xs-12" ng-show="active.state.condition===1">
<div class="margin-top" style="display: inline-block">
<button ng-click="testThisConfig()" class="btn btn-primary" ng-disabled="testsOpen"><?php _('Test this Config') ?></button>
</div>
<div class="margin-top" style="display: inline-block">
<button ng-click="testMultipleConfigs()" class="btn btn-primary" ng-disabled="testsOpen"><?php _('Test multiple Configs') ?></button>
</div>
</div>
<div class="col-xs-12 margin-top" ng-if="conTestResults.length || testsOpen">
<table class="table table-hover">
<tr>
<th><?php _('Ping-Pong Mode') ?></th>
<th><?php _('Input Buffer Size') ?></th>
<th><?php _('Max. Parallel Commands') ?></th>
<th><?php _('Resends') ?></th>
<th><?php _('Speed') ?></th>
<th>
<div class="btn btn-danger btn-xs" ng-click="clearTests()"><i class="fa fa-trash-o"></i></div>
</th>
</tr>
<tr ng-repeat="r in conTestResults track by $index" ng-class="r.bgClass">
<td>{{r.pingPong|yesno}}</td>
<td>{{(r.pingPong ? '-' : r.bufferSize)}}</td>
<td>{{(r.pingPong ? 1 : r.maxParallelCommands)}}</td>
<td ng-if="r.error" colspan="3">{{r.error}}</td>
<td ng-if="!r.error">{{r.resendsShort | number:1}}% / {{r.resends | number:1}}% / {{r.resendsSlow | number:1}}%
</td>
<td ng-if="!r.error">{{r.commandsPerSecondShort | number:1}} / {{r.commandsPerSecond | number:1}} / - <?php _('Lines/s') ?></td>
<td ng-if="!r.error">
<div class="btn btn-primary btn-xs" ng-click="assignTest(r)"><?php _('Assign') ?></div>
</td>
</tr>
<tr ng-if="testsOpen">
<td colspan="5"><i class="fa fa-spin fa-spinner"></i> <?php _('Testing connection') ?>
(<?php _('Ping-Pong Mode') ?>: {{runningTest.pingPong|yesno}}, <?php _('Input Buffer Size') ?>: {{runningTest.buffer}},
<?php _('Max. Parallel Commands') ?>:{{runningTest.parallelCommands}})
</td>
</tr>
</table>
<small><?php _('The tests are run 3 times. First for short commands, second with longer commands and last with slow commands. Select one that normally produces no resends.') ?>
<?php _('Resends less then 0.5 percent can happen on serial connections and are no reason to deny a combination.') ?>
<?php _('Some printers can get confused by the high data amount and need to be reset to work correctly again.') ?>
<?php _('If in doubt activate ping-pong mode. That is the most conservative mode.') ?>
</small>
</div>
</div>
</div>
</div>
</uib-accordion>
<uib-accordion class="">
<div uib-accordion-group style="padding: 0px" class="panel panel-default" is-open="active.local.manualControlExpanded">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-arrows rs-fw"></i><?php _('Manual Control') ?>
<i class="glyphicon pull-right" ng-class="{'glyphicon-chevron-down': active.local.manualControlExpanded, 'glyphicon-chevron-right': !active.local.manualControlExpanded}"></i>
</div>
</uib-accordion-heading>
<div class="panel-body">
<p><?php _('These settings define, how you control your printer. Values should coincide with real printer settings!') ?></p>
<label><?php _('Preferred coordinate system') ?></label>
<div class="radio">
<label>
<input type="radio" ng-model="editor.movement.startWithAbsolutePositions" ng-value="true">
<?php _('Global coordinates (excluding G92 offsets)') ?>
</label>
</div>
<div class="radio">
<label>
<input type="radio" ng-model="editor.movement.startWithAbsolutePositions" ng-value="false">
<?php _('Local coordinates (including G92 offsets)') ?>
</label>
</div>
<div class="row">
<div class="col-lg-4 col-sm-6 col-xs-12 margin-bottom">
<label><?php _('Fans Installed') ?>
<autoset name="fansInstalled" ng-model="editor.general.numFans">
</autoset></label>
<div>
<input class="input-fixed-size form-control ng-pristine ng-untouched ng-valid ng-not-empty ng-valid-step" type="number" ng-model="editor.general.numFans" min="0" step="1" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group">
<label><?php _('Software Power') ?>
<autoset name="CaseLights" ng-model="editor.general.softwarePower">
</autoset></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.general.softwarePower"></boolswitch>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group margin-bottom">
<label><?php _('Auto Bed Leveling') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.autolevel"></boolswitch>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group margin-bottom">
<label><?php _('Software Lights') ?>
<autoset name="softwareLightSwitch" ng-model="editor.general.softwareLight">
</autoset></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.general.softwareLight"></boolswitch>
</div>
</div>
</div>
<div class="row margin-top">
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('X-Min') ?>
<autoset name="XMin" ng-model="editor.movement.xMin">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xMin">
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Y-Min') ?>
<autoset name="YMin" ng-model="editor.movement.yMin">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.yMin">
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 visible-lg-block" style="height: 75px">&nbsp;</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('X-Max') ?>
<autoset name="XMax" ng-model="editor.movement.xMax">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xMax" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Y-Max') ?>
<autoset name="YMax" ng-model="editor.movement.yMax">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.yMax" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Z-Max') ?>
<autoset name="ZMax" ng-model="editor.movement.zMax">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.zMax" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('X-Home Position') ?>
<autoset name="XHomePos" ng-model="editor.movement.xHome">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xHome" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="X coordinate after homing x axis." data-original-title popover-trigger="'focus'" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Y-Home Position') ?>
<autoset name="YHomePos" ng-model="editor.movement.yHome">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.yHome" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="Y coordinate after homing y axis." data-original-title popover-trigger="'focus'" required>
<div class="input-group-addon">mm</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Z-Home Position') ?>
<autoset name="ZHomePos" ng-model="editor.movement.zHome"></autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.zHome" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="Z coordinate after homing z axis." data-original-title popover-trigger="'focus'" required>
<div class="input-group-addon">mm</div>
</div>
</div>
</div>
<div class="row">
<div class="col-lg-3 col-sm-6 col-xs-12 form-group">
<label><?php _('Show X Home') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.xEndstop"></boolswitch>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group">
<label><?php _('Show Y Home') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.yEndstop"></boolswitch>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group">
<label><?php _('Show Z Home') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.zEndstop"></boolswitch>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-xs-12 form-group">
<label><?php _('Show Home All') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.allEndstops"></boolswitch>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('XY Speed') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.xySpeed" popover-placement="auto bottom" uib-popover="<?php _('Speed for manual moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required>
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Z Speed') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.zSpeed" popover-placement="auto bottom" uib-popover="<?php _('Speed for manual moves in z-direction.') ?>" data-original-title popover-trigger="'focus'" required>
<div class="input-group-addon">mm/s</div>
</div>
</div>
</div>
<div class="row">
<div class="col-xs-6 col-sm-4 form-group">
<label><?php _('Invert X') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.invertX"></boolswitch>
</div>
</div>
<div class="col-xs-6 col-sm-4 form-group">
<label><?php _('Invert Y') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.invertY"></boolswitch>
</div>
</div>
<div class="col-xs-6 col-sm-4 form-group">
<label><?php _('Invert Z') ?></label>
<div>
<boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.invertZ"></boolswitch>
</div>
</div>
</div>
</div>
</div>
</uib-accordion>
<uib-accordion class="">
<div uib-accordion-group style="padding: 0px" class="panel panel-default" is-open="active.local.printingTimeCalculationExpanded">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-clock-o rs-fw"></i><?php _('Printing Time Calculation') ?>
<i class="glyphicon pull-right" ng-class="{'glyphicon-chevron-down': active.local.printingTimeCalculationExpanded, 'glyphicon-chevron-right': !active.local.printingTimeCalculationExpanded}"></i>
</div>
</uib-accordion-heading>
<div class="panel-body">
<p><?php _('These settings have big influence on the printing time calculation. The better they match, the more pricse the time prediction becomes.') ?></p>
<div class="row">
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Max. XY Speed') ?>
<autoset name="maxXYSpeed" ng-model="editor.movement.maxXYSpeed">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.maxXYSpeed" popover-placement="auto bottom" uib-popover="<?php _('Maximum speed for moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required min="0.01">
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('XY Jerk') ?>
<autoset name="xyJerk" ng-model="editor.movement.xyJerk">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xyJerk" popover-placement="auto bottom" uib-popover="<?php _('Max. allowed jerk for moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required min="0">
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Max. Z Speed') ?>
<autoset name="maxZSpeed" ng-model="editor.movement.maxZSpeed">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.maxZSpeed" popover-placement="auto bottom" uib-popover="<?php _('Maximum speed for moves in z-direction.') ?>" data-original-title popover-trigger="'focus'" required min="0.01">
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Z Jerk') ?>
<autoset name="zJerk" ng-model="editor.movement.zJerk">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.zJerk" popover-placement="auto bottom" uib-popover="<?php _('Max. allowed jerk for moves in z-direction.') ?>" data-original-title popover-trigger="'focus'" required min="0">
<div class="input-group-addon">mm/s</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Print Acceleration') ?>
<autoset name="defaultAcceleration" ng-model="editor.movement.defaultAcceleration">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.defaultAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during print moves.') ?>" data-original-title popover-trigger="'focus'" required min="1">
<div class="input-group-addon">mm/s²</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Travel Acceleration') ?>
<autoset name="defaultTravelAcceleration" ng-model="editor.movement.defaultTravelAcceleration">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.defaultTravelAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during travel moves.') ?>" data-original-title popover-trigger="'focus'" required min="1">
<div class="input-group-addon">mm/s²</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Extrude Acceleration') ?>
<autoset name="defaultRetractAcceleration" ng-model="editor.movement.defaultRetractAcceleration">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.defaultRetractAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during pure extrusions.') ?>" data-original-title popover-trigger="'focus'" required min="1">
<div class="input-group-addon">mm/s²</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Max. XY Print Acceleration') ?>
<autoset name="xyPrintAcceleration" ng-model="editor.movement.xyPrintAcceleration">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xyPrintAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during print moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required min="1">
<div class="input-group-addon">mm/s²</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Max. Z Print Acceleration') ?>
<autoset name="zPrintAcceleration" ng-model="editor.movement.zPrintAcceleration">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.zPrintAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during print moves in z direction.') ?>" data-original-title popover-trigger="'focus'" required min="1">
<div class="input-group-addon">mm/s²</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Max. XY Travel Acceleration') ?>
<autoset name="xyTravelAcceleration" ng-model="editor.movement.xyTravelAcceleration">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xyTravelAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during travel moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required min="1">
<div class="input-group-addon">mm/s²</div>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Max. Z Travel Acceleration') ?>
<autoset name="zTravelAcceleration" ng-model="editor.movement.zTravelAcceleration">
</autoset></label>
<div class="input-group">
<input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.zTravelAcceleration" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Acceleration during travel moves in z direction.') ?>" data-original-title required min="1">
<div class="input-group-addon">mm/s²</div>
</div>
</div>
<div class="col-lg-4 visible-lg-block" style="height: 75px">&nbsp;</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Move Buffer Size') ?>
<autoset name="PrintlineCache" ng-model="editor.movement.movebuffer">
</autoset></label>
<input class="form-control input-fixed-size" type="number" step="any" placeholder="" ng-model="editor.movement.movebuffer" popover-placement="auto bottom" uib-popover="Size of the path planner buffer in your firmware. 16 is a typical value. Used for printing time prediction." data-original-title popover-trigger="'focus'" min="2" required>
</div>
<div class="col-lg-4 col-sm-6 col-xs-12 form-group">
<label><?php _('Printing Time Multiplier') ?></label>
<input class="form-control input-fixed-size" type="number" step="any" min="0.1" placeholder="" ng-model="editor.movement.timeMultiplier" popover-placement="auto bottom" uib-popover="Computed printing time gets multiplied by this value. If you configured relevant parameter correctly, the multiplier should be near 1." data-original-title popover-trigger="'focus'" required>
</div>
</div>
<p><?php _('Accelerations have big influence on the printing time. Unfortunately different firmwares handle them differently. Some distinguish between travel and extruding moves, some set a wanted acceleration limited by maximum possible acceleration while others directly use the maximum acceleration. Marlin for example has no travel acceleration. In that case simply set it to the same value as print acceleration. It is ok to set acceleration to high values to just fall back to the maximum acceleration values defined later.') ?></p>
</div>
</div>
</uib-accordion>
<uib-accordion>
<div uib-accordion-group style="padding: 0px" class="panel-body-darker panel panel-default" is-open="active.local.configPresetsExpanded">
<uib-accordion-heading>
<div class="clickable">
<i class="fa fa-arrows rs-fw"></i><?php _('Presets') ?>
<i class="glyphicon pull-right" ng-class="{'glyphicon-chevron-down': active.local.configPresetsExpanded, 'glyphicon-chevron-right': !active.local.configPresetsExpanded}"></i>
</div>
</uib-accordion-heading>
<div>
<div class="panel panel-default margin-top">
<div class="panel-heading"><i class="rs rs-flow margin-right"></i><?php _('Predefined Flow Rates') ?></div>
<div>
<table class="table table-bordered table-striped table-condensed">
<thead>
<tr>
<th><?php _('Name') ?></th>
<th><?php _('Flow Rate') ?></th>
<th class="text-center" style="width: 70px;">
<button class="btn btn-primary btn-xs" ng-click="templateAdd(editor.flowPresets)"><i class="fa fa-plus"></i> <?php _('Add') ?></button>
</th>
</tr>
</thead>
<tr ng-repeat="r in editor.flowPresets">
<td><input type="text" ng-model="r.name" class="form-control input-sm" required>
</td>
<td>
<div class="input-group" style="width: 100%">
<input type="number" ng-model="r.value" class="form-control input-sm" required min="25" max="200">
<div class="input-group-addon">%</div>
</div>
</td>
<td class="text-center">
<div class="btn text-danger btn-sm" ng-click="templateDel(editor.flowPresets,$index)">
<i class="fa fa-trash-o rs-big"></i>
</div>
</td>
</tr>
</table>
</div>
</div>
<div class="panel panel-default margin-top">
<div class="panel-heading"><i class="rs rs-speed margin-right"></i><?php _('Predefined Speeds') ?></div>
<div class="">
<table class="table table-bordered table-striped table-condensed">
<thead>
<tr>
<th><?php _('Name') ?></th>
<th><?php _('Speed') ?></th>
<th class="text-center" style="width: 70px;">
<button class="btn btn-primary btn-xs" ng-click="templateAdd(editor.speedPresets)"><i class="fa fa-plus"></i> <?php _('Add') ?></button>
</th>
</tr>
</thead>
<tr ng-repeat="r in editor.speedPresets">
<td><input type="text" ng-model="r.name" class="form-control input-sm" required>
</td>
<td>
<div class="input-group" style="width: 100%">
<input type="number" ng-model="r.value" class="form-control input-sm" required min="25" max="300">
<div class="input-group-addon">%</div>
</div>
</td>
<td class="text-center">
<div class="btn text-danger btn-sm" ng-click="templateDel(editor.speedPresets, $index)">
<i class="fa fa-trash-o rs-big"></i>
</div>
</td>
</tr>
</table>
</div>
</div>
<div class="panel panel-default margin-top">
<div class="panel-heading"><i class="rs rs-fan margin-right"></i><?php _('Predefined Fan Speeds') ?></div>
<div class="">
<table class="table table-bordered table-striped table-condensed">
<thead>
<tr>
<th><?php _('Name') ?></th>
<th><?php _('Fan Speed') ?></th>
<th class="text-center" style="width: 70px;">
<button class="btn btn-primary btn-xs" ng-click="templateAdd(editor.fanPresets)"><i class="fa fa-plus"></i> <?php _('Add') ?></button>
</th>
</tr>
</thead>
<tr ng-repeat="r in editor.fanPresets">
<td><input type="text" ng-model="r.name" class="form-control input-sm" required>
</td>
<td>
<div class="input-group" style="width: 100%">
<input type="number" ng-model="r.value" class="form-control input-sm" required min="0" max="100">
<div class="input-group-addon">%</div>
</div>
</td>
<td class="text-center">
<div class="btn text-danger btn-sm" ng-click="templateDel(editor.fanPresets, $index)">
<i class="fa fa-trash-o rs-big"></i>
</div>
</td>
</tr>
</table>
</div>
</div>
</div>
</div>
</uib-accordion>
</ng-form>
</div>
</div>
</div>
