<div class="tab-pane active" id="panelEeprom">
<h3><i class="rs rs-history"></i> <?php _('History') ?></h3>
<form class="form-horizontal">
<div class="form-group">
<label class="col-sm-2 control-label"><?php _('Printer') ?></label>
<div class="col-sm-10">
<select ng-model="filter.slug" class="form-control" ng-options="p.slug as p.name for p in printerList" ng-change="updateAll()"></select>
</div>
</div>
<div class="form-group">
<div class="col-sm-offset-2 col-sm-10">
<div class="checkbox">
<label><input type="checkbox" ng-model="filter.allPrinter" ng-change="updateAll()"> <?php _('Show History of all Printers') ?>
</label>
</div>
</div>
</div>
</form>
<uib-tabset type="pills" class="margin-top" active="filter.page">
<uib-tab heading="<?php _('Print Jobs') ?>" index="0">
<div class="row margin-top" style="text-align: center">
<div class="col-xs-12">
<div class="btn btn-primary" ng-click="historyForward()" ng-disabled="filter.start===0">
<i class="fa fa-chevron-left"></i></div>
<h3 style="display:inline-block" ng-show="list.length">&nbsp; {{filter.start+1}} - {{filter.start + list.length}} &nbsp;</h3>
<div class="btn btn-primary" ng-click="historyBack()" ng-disabled="list.length<filter.limit"><i class="fa fa-chevron-right"></i></div>
</div>
</div>
<div class="table-responsive margin-top">
<table class="table table-hover table-striped vmiddle">
<tr>
<th style="white-space: nowrap"><?php _('Start') ?><br><?php _('End') ?></th>
<th style="white-space: nowrap"><?php _('Printer') ?><br><?php _('User') ?></th>
<th style="white-space: nowrap"><?php _('File') ?><br><?php _('Status') ?></th>
<th style="white-space: nowrap"><?php _('Duration Real') ?><br><?php _('Duration Computed') ?></th>
<th style="white-space: nowrap"><?php _('Filament Used') ?><br><?php _('Costs') ?></th>
<th style="min-width: 130px;max-width: 400px;"><?php _('Notes') ?></th>
<th style="width:1px;white-space: nowrap"></th>
<th ng-if="user.canHistory()"></th>
</tr>
<tr ng-repeat="h in list track by $index">
<td style="white-space: nowrap">{{(h.startTime*1000) | date:'short'}}<br>{{(h.endTime*1000) | date:'short'}}
</td>
<td style="white-space: nowrap">{{h.printerName}}<br>{{h.username}}</td>
<td style="white-space: normal">{{h.filename}}<br>{{stateTexts[h.status]}}</td>
<td style="white-space: nowrap">{{(h.endTime-h.startTime-h.pauseTime) | hmsFinal}}<br>
{{h.computedTime |dhms}}
</td>
<td style="white-space: nowrap">{{h.filament | number:1}} mm<br>
{{h.costs | number:serverSettings.pricing.digits}} {{serverSettings.pricing.currency}}
</td>
<td>{{h.notes}}</td>
<td style="white-space: nowrap">
<div class="btn btn-default" ng-show="user.canHistory() || h.username === user.getLogin()" ng-click="editHistory(h)" title="<?php _('Edit') ?>">
<i class="fa fa-edit"></i></div>
<div class="btn btn-default" ng-show="user.canHistory() && h.report!==''" ng-click="showReport(h)" title="<?php _('Print Report') ?>">
<i class="fa fa-file-pdf-o"></i></div>
</td>
<td ng-if="user.canHistory()" style="padding-left:10px;">
<div class="btn text-danger" ng-show="user.canHistory()" ng-click="deleteHistory(h)" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o" style="font-size:1.2em"></i></div>
</td>
</tr>
</table>
<div class="alert alert-info margin-top" ng-if="!hasWebcamSupport">
<?php _('The free version is limited to the last 5 entries and has no export function.') ?>
</div>
</div>
<div class="row margin-top" style="text-align: center">
<div class="col-xs-12">
<div class="btn btn-primary" ng-click="historyForward()" ng-disabled="filter.start===0">
<i class="fa fa-chevron-left"></i></div>
<h3 style="display:inline-block" ng-show="list.length">&nbsp; {{filter.start+1}} - {{filter.start + list.length}} &nbsp;</h3>
<div class="btn btn-primary" ng-click="historyBack()" ng-disabled="list.length<filter.limit"><i class="fa fa-chevron-right"></i></div>
</div>
</div>
</uib-tab>
<uib-tab heading="<?php _('Summary') ?>" index="1">
<h3 style="text-align: center">
<div class="btn btn-primary" ng-click="statAddYear(-1)"><i class="fa fa-chevron-left"></i></div>
&nbsp; Year {{year}} &nbsp;
<div class="btn btn-primary" ng-click="statAddYear(1)"><i class="fa fa-chevron-right"></i></div>
</h3>
<div class="table-responsive margin-top">
<table class="table table-hover table-striped">
<tr>
<th><?php _('Month') ?></th>
<th><?php _('Filament Used') ?></th>
<th><?php _('Costs') ?></th>
<th><?php _('Duration Real') ?></th>
<th><?php _('Duration Computed') ?></th>
<th><?php _('Prints') ?></th>
<th><?php _('Prints Finished') ?></th>
<th><?php _('Prints Aborted') ?></th>
</tr>
<tr ng-repeat="h in summary track by $index">
<td ng-style="h.style">{{h.month}}</td>
<td ng-style="h.style">{{h.filament|number:0}} mm</td>
<td ng-style="h.style">{{h.costs|number:serverSettings.pricing.digits}} {{serverSettings.pricing.currency}}</td>
<td ng-style="h.style">{{h.realTime | dhms}}</td>
<td ng-style="h.style">{{h.computedTime | dhms}}</td>
<td ng-style="h.style">{{h.numPrints}}</td>
<td ng-style="h.style">{{h.numFinished}}</td>
<td ng-style="h.style">{{h.numAborted}}</td>
</tr>
</table>
</div>
</uib-tab>
<div class="btn btn-success pull-right" style="margin-top:4px" ng-click="export()" ng-disabled="!hasWebcamSupport"><i class="fa fa-download"></i> <?php _('Export') ?></div>
</uib-tabset>
<div class="alert alert-info margin-top" ng-if="!hasWebcamSupport">
<?php _('The free version is limited to the last 5 entries and has no export function.') ?>
</div>
</div>
<br>
